Bug 860075 - RFE: Enhancement for package_details to print file path
RFE: Enhancement for package_details to print file path
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
1.8
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Aron Parsons
Red Hat Satellite QA List
:
Depends On:
Blocks: space19
  Show dependency treegraph
 
Reported: 2012-09-24 17:23 EDT by Jose Simonelli
Modified: 2013-03-06 10:57 EST (History)
3 users (show)

See Also:
Fixed In Version: spacecmd-1.9.3-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-03 16:58:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jose Simonelli 2012-09-24 17:23:03 EDT
Description of problem:
Needed a method to query to file path of specific rpm's using spacecmd.  the GUI shows the rpm name and filepath but spacecmd only showed the filename but not the path relative to the satellite server.  The API already had the entry needed in order to display the path and therefore I added it to the packages.py file under the package_details

Version-Release number of selected component (if applicable):
1.7 or 1.8 ?

How reproducible:
run spacecmd with the package_details <some package> and it will only display the Name, Version, Release, Epoch, Arch, File, Size, MD5, number of systems installed, Description and available from channels.  The new patch will also display the path similar to what one can view using the satellite GUI on the specific package. 

Use the following patch to add the Path to spacecmd package.py

# diff -crB a/lib/package.py b/lib/package.py

*** a/lib/package.py    2012-09-24 17:02:32.000000000 -0400
--- b/lib/package.py    2012-09-24 17:06:16.882100417 -0400
***************
*** 71,76 ****
--- 71,77 ----
          print 'Arch:    %s' % details.get('arch_label')
          print
          print 'File:    %s' % details.get('file')
+         print 'Path:    %s' % details.get('path')
          print 'Size:    %s' % details.get('size')
          print 'MD5:     %s' % details.get('md5sum')
          print
  
Actual results:
With the new patch it will now display all the details of the package "including" the file Path within satellite server.

Additional info:
This is an enhancement fix that will allow for people to display the file path of the package details in the event they need to query it using spacecmd
Comment 1 Michael Mráka 2012-10-31 07:00:19 EDT
Reassigning to spacecmd maintainer.
Comment 2 Steven Hardy 2013-02-21 06:45:27 EST
Reassigning to Aron Parsons, spacecmd maintainer
Comment 3 Aron Parsons 2013-03-03 16:58:05 EST
Commit ac6135a626a47ae7e8a71577850a7822a187143b.  Thanks Jose.
Comment 4 Jan Pazdziora 2013-03-04 03:08:33 EST
Aron, we prefer to set the state to MODIFIED when changes were done for the bugzilla, fill the Fixed In Version (I did that now) and leave it for the release nanny to close the bugzilla when the new Spacewalk release is released.

Note You need to log in before you can comment on or make changes to this bug.